<template>
  <el-dialog
    :close-on-click-modal="false"
    :visible.sync="islook"
    width="250px"
    top="50vh"
    class="add-event-dialog"
    :show-close="false"
  >
    <div slot="title" class="tac drawerHeader">下发生产数据</div>
    <div class="dialog-content-box">
      <div style=" margin:0 auto; width:100%;overflow:hidden;margin-bottom:30px;text-align:left;">
        
        <div class="circel-text">
         <div class="circel-text-b">
          生产数量：<span>{{ Order.amount||0 }}</span>{{ Order.unit||'' }}
         </div>
        </div>
      </div>
    </div>
    <div slot="footer" class="dialog-footer tac">
      <el-button type="primary" @click="onSubmit()">下发</el-button>
    </div>
  </el-dialog>
</template>

<script>

import {
  startTask,
  setProductNumber,
} from "@/api/home/index"; // 产线
export default {
  components: {},
  props: {
    Order:{
      type: [Object],
      default: () => {
        return {
          amount:0,
          unit:''
        };
      },
    },
    taskData:{
      type: [Object],
    }
  },
  data() {
    return {
      islook: false,
    };
  },
  mounted() {
    this.getInfo()
  },
  watch: {
    taskData(val) {
      this.getInfo()
    },
  },
  methods: {
    getInfo(){
      if (Object.keys(this.taskData).length > 0 && this.taskData.Procedure.ID) {
        this.islook=true
      }else{
        this.islook=false;
      }
    },
    onSubmit() {
      setProductNumber().then(res=>{
          if(res.code==200){
            this.$message.success("下发成功！");
            this.$emit('getSetProductNumber')
            this.shutdown();
          }
        }) 
    },
    shutdown() {
      this.islook = false;
    },
  },
};
</script>

<style lang="scss" scoped>
::v-deep .el-tabs__content {
  height: calc(100% - 55px);
  overflow-y: auto;
}
.circel {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  border: 2px solid rgba(12, 79, 218, 1);
  position: relative;
  float:left;
  .circel-two {
    width: 75px;
    height: 75px;
    position: absolute;
    top: 11px;
    left: 11px;
    border-radius: 50%;
    border: 2px solid rgba(12, 79, 218, 1);
  }
}
.circel-text{
  color:#333;
  margin-left:20px;
  .circel-text-t{
    font-size:18px;
    line-height:40px;
  }
  .circel-text-b{
    font-weight: 700;
    font-size:14px;
    
    span{
      color:rgba(12, 79, 218, 1);
      font-size:38px;
      margin-right:10px;
    }
  }
}
.color_red{
  width:100%;
  color:red;
  margin:0 auto;
  text-align:center;
  font-size:14px;
  margin-bottom:25px;
}
.form-item {
  width: calc(50% - 20px);
  float: left;
  &:nth-child(odd) {
    margin-right: 20px;
  }
}
.form-item-two {
  width: calc(50% - 20px);
  float: left;
  &:nth-of-type(odd) {
    margin-right: 20px;
  }
}
.form-item-three {
  width: calc(100% - 20px);
  float: left;
}
.form-item-check {
  width: calc(33% - 40px);
  float: left;
  &:nth-of-type(odd) {
    margin-right: 20px;
  }
}
.title {
  width: 100%;
}
.dialog-content-box {
  height: 100px;
  padding-bottom: 50px;
  overflow-y: auto;
  padding: 0 10px;
  .el-form {
    overflow: hidden;
  }
}
.num-identify {
  padding: 5px 8px;
  background-color: rgba(255, 153, 0, 1);
  border-radius: 6px;
  font-size: 14px;
  color: #fff;
  font-weight: 600;
}
.drawerHeader {
  // position:relative;
  border-bottom: 1px solid #eee;
  height: 40px;
  line-height: 30px;
  color: #333;
  font-weight: 700;
  font-size: 18px;
  .identify {
    width: 80px;
    height: 25px;
    line-height: 25px;
    text-align: center;
    border: 1px solid rgba(255, 153, 0, 1);
    border-radius: 6px;
    font-size: 16px;
    color: rgba(255, 153, 0, 1);
    transform: rotate(15deg);
    font-weight: 600;
    margin-right: 100px;
    margin-top: 12px;
    float: right;
  }
}
</style>
